/*    */ package org.apache.batik.script;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class InterpreterException
/*    */   extends RuntimeException
/*    */ {
/* 29 */   private int line = -1;
/* 30 */   private int column = -1;
/* 31 */   private Exception embedded = null;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public InterpreterException(String message, int lineno, int columnno) {
/* 40 */     super(message);
/* 41 */     this.line = lineno;
/* 42 */     this.column = columnno;
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public InterpreterException(Exception exception, String message, int lineno, int columnno) {
/* 54 */     this(message, lineno, columnno);
/* 55 */     this.embedded = exception;
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 63 */   public int getLineNumber() { return this.line; }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 71 */   public int getColumnNumber() { return this.column; }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 79 */   public Exception getException() { return this.embedded; }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public String getMessage() {
/* 88 */     String msg = super.getMessage();
/* 89 */     if (msg != null)
/* 90 */       return msg; 
/* 91 */     if (this.embedded != null) {
/* 92 */       return this.embedded.getMessage();
/*    */     }
/* 94 */     return null;
/*    */   }
/*    */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-script.jar!\org\apache\batik\script\InterpreterException.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */