/*     */ package org.apache.batik.script;
/*     */ 
/*     */ import java.net.MalformedURLException;
/*     */ import java.net.URL;
/*     */ import java.util.HashMap;
/*     */ import java.util.Iterator;
/*     */ import java.util.Map;
/*     */ import org.apache.batik.dom.svg.SVGOMDocument;
/*     */ import org.apache.batik.util.Service;
/*     */ import org.w3c.dom.Document;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class InterpreterPool
/*     */ {
/*     */   public static final String BIND_NAME_DOCUMENT = "document";
/*  55 */   protected static Map defaultFactories = new HashMap(7);
/*     */ 
/*     */   
/*     */   protected Map factories;
/*     */ 
/*     */ 
/*     */   
/*     */   static  {
/*  63 */     iter = Service.providers(InterpreterFactory.class);
/*  64 */     while (iter.hasNext()) {
/*  65 */       InterpreterFactory factory = null;
/*  66 */       factory = (InterpreterFactory)iter.next();
/*  67 */       String[] mimeTypes = factory.getMimeTypes();
/*  68 */       for (int i = 0; i < mimeTypes.length; i++) {
/*  69 */         defaultFactories.put(mimeTypes[i], factory);
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public InterpreterPool() {
/*     */     this.factories = new HashMap(7);
/*  78 */     this.factories.putAll(defaultFactories);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Interpreter createInterpreter(Document document, String language) {
/*  91 */     InterpreterFactory factory = (InterpreterFactory)this.factories.get(language);
/*  92 */     if (factory == null) return null;
/*     */     
/*  94 */     Interpreter interpreter = null;
/*  95 */     SVGOMDocument svgDoc = (SVGOMDocument)document;
/*     */     try {
/*  97 */       URL url = new URL(svgDoc.getDocumentURI());
/*  98 */       interpreter = factory.createInterpreter(url, svgDoc.isSVG12());
/*  99 */     } catch (MalformedURLException e) {}
/*     */ 
/*     */     
/* 102 */     if (interpreter == null) return null;
/*     */     
/* 104 */     if (document != null) {
/* 105 */       interpreter.bindObject("document", document);
/*     */     }
/* 107 */     return interpreter;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 118 */   public void putInterpreterFactory(String language, InterpreterFactory factory) { this.factories.put(language, factory); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 127 */   public void removeInterpreterFactory(String language) { this.factories.remove(language); }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-script.jar!\org\apache\batik\script\InterpreterPool.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */