/*     */ package org.apache.batik.script.rhino;
/*     */ 
/*     */ import java.security.AccessControlContext;
/*     */ import java.security.AccessController;
/*     */ import java.security.PrivilegedExceptionAction;
/*     */ import org.mozilla.javascript.Callable;
/*     */ import org.mozilla.javascript.Context;
/*     */ import org.mozilla.javascript.GeneratedClassLoader;
/*     */ import org.mozilla.javascript.Scriptable;
/*     */ import org.mozilla.javascript.SecurityController;
/*     */ import org.mozilla.javascript.WrappedException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class BatikSecurityController
/*     */   extends SecurityController
/*     */ {
/*     */   public GeneratedClassLoader createClassLoader(ClassLoader parentLoader, Object securityDomain) {
/*  49 */     if (securityDomain instanceof RhinoClassLoader) {
/*  50 */       return (RhinoClassLoader)securityDomain;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*  55 */     throw new SecurityException("Script() objects are not supported");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getDynamicSecurityDomain(Object securityDomain) {
/*  66 */     ClassLoader loader = (RhinoClassLoader)securityDomain;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  72 */     if (loader != null) {
/*  73 */       return loader;
/*     */     }
/*  75 */     return AccessController.getContext();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object callWithDomain(Object securityDomain, Context cx, Callable callable, Scriptable scope, Scriptable thisObj, Object[] args) {
/*     */     AccessControlContext accessControlContext;
/*  95 */     if (securityDomain instanceof AccessControlContext) {
/*  96 */       accessControlContext = (AccessControlContext)securityDomain;
/*     */     } else {
/*  98 */       RhinoClassLoader loader = (RhinoClassLoader)securityDomain;
/*  99 */       accessControlContext = loader.rhinoAccessControlContext;
/*     */     } 
/*     */     
/* 102 */     PrivilegedExceptionAction execAction = new PrivilegedExceptionAction(this, callable, cx, scope, thisObj, args) { private final Callable val$callable; private final Context val$cx; private final Scriptable val$scope;
/*     */         
/* 104 */         public Object run() { return this.val$callable.call(this.val$cx, this.val$scope, this.val$thisObj, this.val$args); }
/*     */         private final Scriptable val$thisObj; private final Object[] val$args; private final BatikSecurityController this$0; }
/*     */       ;
/*     */     try {
/* 108 */       return AccessController.doPrivileged(execAction, accessControlContext);
/*     */     } catch (Exception e) {
/* 110 */       throw new WrappedException(e);
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-script.jar!\org\apache\batik\script\rhino\BatikSecurityController.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */